Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2057369 - man-pages-l10n-4.13 is available
Summary: man-pages-l10n-4.13 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages-l10n
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-23 09:59 UTC by Mario Blättermann
Modified: 2022-03-26 15:03 UTC (History)
3 users (show)

Fixed In Version: man-pages-l10n-4.13-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-26 15:03:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mario Blättermann 2022-02-23 09:59:13 UTC
The version 4.13 of man-pages-l10n has been released. It is the first release which supports Fedora 36 directly (use »%configure --enable-distribution=fedora-36« in the spec file). But note, instead of switching from Rawhide to Fedora 36, we keep Rawhide in the upstream tree anyway. This avoids possible file conflicts.

This version introduces Vietnamese as a new language.

When is the deadline for package changes in F36? Would be nice to know that, to align the next upstream release accordingly.

Comment 1 Nikola Forró 2022-02-24 13:48:17 UTC
(In reply to Mario Blättermann from comment #0)
> But note, instead of switching from Rawhide to Fedora 36, we keep Rawhide
> in the upstream tree anyway. This avoids possible file conflicts.

Just to double check, this means I should use "--enable-distribution=fedora-36" in F36 and "--enable-distribution=fedora-rawhide" in Rawhide?

> When is the deadline for package changes in F36? Would be nice to know that,
> to align the next upstream release accordingly.

F36 final freeze is on 2022-04-05, but it is possible to rebase the package at any time after the release.

Comment 2 Mario Blättermann 2022-02-24 14:04:14 UTC
(In reply to Nikola Forró from comment #1)
> (In reply to Mario Blättermann from comment #0)
> > But note, instead of switching from Rawhide to Fedora 36, we keep Rawhide
> > in the upstream tree anyway. This avoids possible file conflicts.
> 
> Just to double check, this means I should use
> "--enable-distribution=fedora-36" in F36 and
> "--enable-distribution=fedora-rawhide" in Rawhide?
> 
Right. The original plan to drop Rawhide would eventually lead to file conflicts, in case the packages and file structures differ between f36 and Rawhide.

> > When is the deadline for package changes in F36? Would be nice to know that,
> > to align the next upstream release accordingly.
> 
> F36 final freeze is on 2022-04-05, but it is possible to rebase the package
> at any time after the release.

OK. Probably the next upstream version will be released somewhat earlier (normally, every three months). The next util-linux version 2.38 will ship translated manpages, and as far as I know, it goes into F36 (upstream maintainer Karel Zak is also maintainer of the Fedora packages, and he said so). Once the downstream package is available from any of our supported distributions, we need to drop util-linux from our package lists anyway and release a bugfix version.

Comment 4 Fedora Update System 2022-02-25 16:43:34 UTC
FEDORA-2022-887936b6fa has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-887936b6fa

Comment 5 Fedora Update System 2022-02-25 20:49:32 UTC
FEDORA-2022-887936b6fa has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-887936b6fa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-887936b6fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-03-26 15:03:12 UTC
FEDORA-2022-887936b6fa has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.